<?php

namespace endpoints\orders;

use traits\economic_endpoint_t;

class economic_invoices_sent_endpoint
{
    use economic_endpoint_t;

    /**
     * List sent invoices
     * @return object {collection: [order], pagination: {maxPageSize: number, skipPages: number, results: number}}
     */
    public function get(): object
    {
        $response = $this->send_request('/invoices/sent', 'GET');
        // Return the response as an object
        return json_decode($response);
    }

}